Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-01-2016 17:01:35

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

[Résolu] Impossible de lancer un programme avec optirun

Plop, je viens d'installer bumblebee, en suivant https://debian-facile.org/doc:materiel: … ia:optimus, mais lorsque je veux tester avec:

optirun glxgears


j'obtiens:

optirun glxgears


[  999.701480] [ERROR]Cannot access secondary GPU - error: [XORG] (EE) /dev/dri/card1: failed to set DRM interface version 1.4: Permission denied

[  999.701534] [ERROR]Aborting because fallback start is disabled.


Mon utilisateur est bien dans le groupe bumblebee et j'ai rebooté.
J'ai fait une recherche sur le forum en cherchant 'optirun' mais sans succès, pareil sur l'irc.
Si quelqu'un sait pourquoi j'ai cela.

Merci par avance : )

[edit]

ls -l /dev/dri/card1


crw-rw----+ 1 root video 226, 1 janv. 25 15:12 /dev/dri/card1


groups


kevin cdrom floppy audio dip video plugdev netdev lpadmin scanner bluetooth bumblebee



Edit Mamy - Mise sous balises code les commandes et leur retour

[edit] Solution trouvée grâce au post #27 (dernier lien)

Dernière modification par tartecitron1 (26-01-2016 13:36:55)


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#2 25-01-2016 17:10:44

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Bonjour,

Ajoute ton utilisateur au group video

adduser kevin video



@ Bientôt


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#3 25-01-2016 17:12:22

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

greenmerlin a écrit :

Bonjour,

Ajoute ton utilisateur au group video

adduser kevin video



@ Bientôt



Déjà fait, j'ai édité mon premier post pour le préciser : )


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#4 25-01-2016 17:14:31

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Le message d'erreur est le même ?

[ERROR]Cannot access secondary GPU - error: [XORG] (EE) /dev/dri/card1: failed to set DRM interface version 1.4: Permission denied


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#5 25-01-2016 17:16:23

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Oui.

Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#6 25-01-2016 17:18:31

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

redémarre ton serveur X ou reboot ton linux et ré-essaye si c'est pas déjà fait

" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#7 25-01-2016 17:20:36

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Si je l'ai déjà fait.

Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#8 25-01-2016 17:27:32

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

peut-tu me poster ton fichier log Xorg

cat /var/log/Xorg.log



et ton fichier /usr/etc/bumblebee/xorg.conf.nvidia

cat /usr/etc/bumblebee/xorg.conf.nvidia


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#9 25-01-2016 17:34:51

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

cat /var/log/Xorg.log



cat: /var/log/Xorg.log: Aucun fichier ou dossier de ce type


ls /var/log/



alternatives.log  dpkg.log    kern.log      syslog
apt     exim4     lastlog     user.log
auth.log    faillog   lightdm     wtmp
btmp      firebird    messages      Xorg.0.log
cups      fontconfig.log  popularity-contest    Xorg.0.log.old
daemon.log    fsck      popularity-contest.0    Xorg.8.log
debug     hp      popularity-contest.gpg  Xorg.8.log.old
dmesg     installer   speech-dispatcher
 



J'ai un xorg.conf.nouveau et un xorg.conf.nvidia dans /etc/bumblebee, je te mets les deux

cat /etc/bumblebee/xorg.conf.nouveau



Section "ServerLayout"
    Identifier  "Layout0"
    Option      "AutoAddDevices" "false"
    Option      "AutoAddGPU" "false"
EndSection

Section "Device"
    Identifier  "DiscreteNvidia"
    Driver      "nouveau"

#   If the X server does not automatically detect your VGA device,
#   you can manually set it here.
#   To get the BusID prop, run `lspci | egrep 'VGA|3D'` and input the data
#   as you see in the commented example.
#   This Setting is needed on Ubuntu 13.04.
#   BusID "PCI:01:00:0"

EndSection
 



cat /etc/bumblebee/xorg.conf.nvidia



Section "ServerLayout"
    Identifier  "Layout0"
    Option      "AutoAddDevices" "false"
    Option      "AutoAddGPU" "false"
EndSection

Section "Device"
    Identifier  "DiscreteNvidia"
    Driver      "nvidia"
    VendorName  "NVIDIA Corporation"

#   If the X server does not automatically detect your VGA device,
#   you can manually set it here.
#   To get the BusID prop, run `lspci | egrep 'VGA|3D'` and input the data
#   as you see in the commented example.
#   This Setting may be needed in some platforms with more than one
#   nvidia card, which may confuse the proprietary driver (e.g.,
#   trying to take ownership of the wrong device). Also needed on Ubuntu 13.04.
#   BusID "PCI:01:00:0"

#   Setting ProbeAllGpus to false prevents the new proprietary driver
#   instance spawned to try to control the integrated graphics card,
#   which is already being managed outside bumblebee.
#   This option doesn't hurt and it is required on platforms running
#   more than one nvidia graphics card with the proprietary driver.
#   (E.g. Macbook Pro pre-2010 with nVidia 9400M + 9600M GT).
#   If this option is not set, the new Xorg may blacken the screen and
#   render it unusable (unless you have some way to run killall Xorg).
    Option "ProbeAllGpus" "false"

    Option "NoLogo" "true"
    Option "UseEDID" "false"
    Option "UseDisplayDevice" "none"
EndSection
 



Edit Mamy - Mise sous balises code les commandes et leur retour


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#10 25-01-2016 17:38:46

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Essaye ça dans ton fichier /etc/bumblebee/xorg.conf.nvidia

Section "Screen"
    Identifier "Default Screen"
    Device "DiscreteNvidia"
EndSection



ton log Xorg est Xorg.8.log

cat /var/log/Xorg.8.log

Dernière modification par greenmerlin (25-01-2016 18:18:28)


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#11 25-01-2016 17:44:57

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Pas de changemet, même après un reboot

kevin@notebook-kevin:~$ cat /var/log/Xorg.8.log
[    51.684]
X.Org X Server 1.16.4
Release Date: 2014-12-20
[    51.684] X Protocol Version 11, Revision 0
[    51.684] Build Operating System: Linux 3.16.0-4-amd64 x86_64 Debian
[    51.684] Current Operating System: Linux notebook-kevin 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt20-1+deb8u3 (2016-01-17) x86_64
[    51.684] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.16.0-4-amd64 root=UUID=ae61382a-673d-41e2-81d0-143ba5f435ae ro quiet
[    51.684] Build Date: 11 February 2015  12:32:02AM
[    51.684] xorg-server 2:1.16.4-1 (http://www.debian.org/support)
[    51.684] Current version of pixman: 0.32.6
[    51.684]  Before reporting problems, check http://wiki.x.org
  to make sure that you have the latest version.
[    51.684] Markers: (--) probed, (**) from config file, (==) default setting,
  (++) from command line, (!!) notice, (II) informational,
  (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    51.684] (==) Log file: "/var/log/Xorg.8.log", Time: Mon Jan 25 16:43:26 2016
[    51.706] (++) Using config file: "/etc/bumblebee/xorg.conf.nouveau"
[    51.706] (++) Using config directory: "/etc/bumblebee/xorg.conf.d"
[    51.706] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    51.711] (==) ServerLayout "Layout0"
[    51.711] (==) No screen section available. Using defaults.
[    51.711] (**) |-->Screen "Default Screen Section" (0)
[    51.711] (**) |   |-->Monitor "<default monitor>"
[    51.712] (==) No device specified for screen "Default Screen Section".
  Using the first device section listed.
[    51.712] (**) |   |-->Device "DiscreteNvidia"
[    51.712] (==) No monitor specified for screen "Default Screen Section".
  Using a default monitor configuration.
[    51.712] (**) Option "AutoAddDevices" "false"
[    51.712] (**) Option "AutoAddGPU" "false"
[    51.712] (**) Not automatically adding devices
[    51.712] (==) Automatically enabling devices
[    51.712] (**) Not automatically adding GPU devices
[    51.712] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    51.712]  Entry deleted from font path.
[    51.712] (==) FontPath set to:
  /usr/share/fonts/X11/misc,
  /usr/share/fonts/X11/100dpi/:unscaled,
  /usr/share/fonts/X11/75dpi/:unscaled,
  /usr/share/fonts/X11/Type1,
  /usr/share/fonts/X11/100dpi,
  /usr/share/fonts/X11/75dpi,
  built-ins
[    51.712] (==) ModulePath set to "/usr/lib/xorg/modules"
[    51.712] (==) |-->Input Device "<default pointer>"
[    51.712] (==) |-->Input Device "<default keyboard>"
[    51.712] (==) The core pointer device wasn't specified explicitly in the layout.
  Using the default mouse configuration.
[    51.712] (==) The core keyboard device wasn't specified explicitly in the layout.
  Using the default keyboard configuration.
[    51.712] (II) Loader magic: 0x7f820d1bfd80
[    51.712] (II) Module ABI versions:
[    51.712]  X.Org ANSI C Emulation: 0.4
[    51.712]  X.Org Video Driver: 18.0
[    51.712]  X.Org XInput driver : 21.0
[    51.712]  X.Org Server Extension : 8.0
[    51.712] (II) xfree86: Adding drm device (/dev/dri/card1)
[    51.712] (EE) /dev/dri/card1: failed to set DRM interface version 1.4: Permission denied
[    51.712] (II) xfree86: Adding drm device (/dev/dri/card0)
[    51.712] (EE) /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied
[    51.714] (--) PCI:*(0:1:0:0) 10de:0de3:103c:181d rev 161, Mem @ 0xd2000000/16777216, 0xa0000000/268435456, 0xb0000000/33554432, I/O @ 0x00004000/128, BIOS @ 0x????????/524288
[    51.714] (II) LoadModule: "glx"
[    51.714] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    51.716] (II) Module glx: vendor="X.Org Foundation"
[    51.716]  compiled for 1.16.4, module version = 1.0.0
[    51.716]  ABI class: X.Org Server Extension, version 8.0
[    51.716] (==) AIGLX enabled
[    51.716] (II) LoadModule: "nouveau"
[    51.716] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[    51.729] (II) Module nouveau: vendor="X.Org Foundation"
[    51.729]  compiled for 1.16.0, module version = 1.0.11
[    51.729]  Module class: X.Org Video Driver
[    51.729]  ABI class: X.Org Video Driver, version 18.0
[    51.729] (II) LoadModule: "mouse"
[    51.729] (II) Loading /usr/lib/xorg/modules/input/mouse_drv.so
[    51.737] (II) Module mouse: vendor="X.Org Foundation"
[    51.737]  compiled for 1.16.1, module version = 1.9.1
[    51.737]  Module class: X.Org XInput Driver
[    51.737]  ABI class: X.Org XInput driver, version 21.0
[    51.737] (II) LoadModule: "kbd"
[    51.738] (WW) Warning, couldn't open module kbd
[    51.738] (II) UnloadModule: "kbd"
[    51.738] (II) Unloading kbd
[    51.738] (EE) Failed to load module "kbd" (module does not exist, 0)
[    51.738] (II) NOUVEAU driver Date:   Thu Aug 28 03:57:48 2014 +0200
[    51.738] (II) NOUVEAU driver for NVIDIA chipset families :
[    51.738]  RIVA TNT        (NV04)
[    51.738]  RIVA TNT2       (NV05)
[    51.738]  GeForce 256     (NV10)
[    51.738]  GeForce 2       (NV11, NV15)
[    51.738]  GeForce 4MX     (NV17, NV18)
[    51.738]  GeForce 3       (NV20)
[    51.738]  GeForce 4Ti     (NV25, NV28)
[    51.738]  GeForce FX      (NV3x)
[    51.738]  GeForce 6       (NV4x)
[    51.738]  GeForce 7       (G7x)
[    51.738]  GeForce 8       (G8x)
[    51.738]  GeForce GTX 200 (NVA0)
[    51.738]  GeForce GTX 400 (NVC0)
[    51.738] (--) using VT number 7

[    51.794] (II) [drm] nouveau interface version: 1.1.2
[    51.794] (II) Loading sub module "dri2"
[    51.794] (II) LoadModule: "dri2"
[    51.794] (II) Module "dri2" already built-in
[    51.849] (EE) NOUVEAU(0): [drm] failed to set drm interface version.
[    51.849] (EE) NOUVEAU(0): [drm] error opening the drm
[    51.849] (EE) NOUVEAU(0): 892:
[    51.849] (II) UnloadModule: "nouveau"
[    51.849] (EE) Screen(s) found, but none have a usable configuration.
[    51.849] (EE)
Fatal server error:
[    51.849] (EE) no screens found(EE)
[    51.849] (EE)
Please consult the The X.Org Foundation support
   at http://wiki.x.org
 for help.
[    51.849] (EE) Please also check the log file at "/var/log/Xorg.8.log" for additional information.
[    51.849] (EE)
[    51.850] (EE) Server terminated with error (1). Closing log file.


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#12 25-01-2016 17:54:36

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

le résultat de

lspci | grep VGA



Stp

et n'utilise pas le "nouveau driver " install la version officiel du pilote nvidia

tu trouvera un tuto ici https://wiki.debian.org/fr/NvidiaGraphicsDrivers

Dernière modification par greenmerlin (25-01-2016 18:02:35)


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#13 25-01-2016 18:03:49

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

kevin@notebook-kevin:~$ su -c 'lspci | grep VGA'
Mot de passe :
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108M [GeForce GT 635M] (rev a1)


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#14 25-01-2016 18:06:08

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Pour installer le pilote Nvidia, il faut déjà désinstaller le pilote nouveau, non?

Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#15 25-01-2016 18:10:25

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

pas nécessairement

mais un

apt-get --purge uninstall xserver-xorg-video-nouveau


le fera.

Cependant tu devra redémarrer

Si vous décidez de basculer sur le pilote propriétaire, il est très
recommandé de redémarrer parce qu'il n'est pas compatible avec « nouveau », et
que décharger ce dernier n'est pas simple et peut aboutir à une console vide.

Dernière modification par greenmerlin (25-01-2016 18:14:09)


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#16 25-01-2016 18:41:11

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Je dois déco' un petit moment. Je vais testé en installant le pilote Nvidia officiel comme sur le lien que tu m'as donné, et je donnerai les résultats.

Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#17 25-01-2016 19:12:51

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Impossible de lancer un programme avec optirun

pour info d enlever le paquet xserver-xorg-video-nouveau ne blacklist pas nouveau dans le noyau , si l installation du driver ne le fait pas il faut le faire manuellement.

Hors ligne

#18 25-01-2016 20:03:44

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

robert2a a écrit :

pour info d enlever le paquet xserver-xorg-video-nouveau ne blacklist pas nouveau dans le noyau , si l installation du driver ne le fait pas il faut le faire manuellement.



oui robart2a a raison pour ce faire à la fin de l'install

vi /etc/modprobe.d/blacklist-nouveau.conf


et ajouter


blacklist nouveau
blacklist lbm-nouveau
options nouveau modeset=0
alias nouveau off
alias lbm-nouveau off
 


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#19 25-01-2016 21:15:03

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Résolu] Impossible de lancer un programme avec optirun

La commande d'édition vi (ou vim) est un peu élitiste.
Utilisez plutôt nano comme dans les tutos df :

nano /etc/modprobe.d/blacklist-nouveau.conf


big_smile


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#20 25-01-2016 21:54:16

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Bon, après avoir planté ma Debian en installant le pilote proprio' Nvidia trouver sur le site officiel, j'ai fait une installation fraiche.
J'ai installé bumblebee-nvidia, fournissant bumblebee et le pilote proprio du dépôt non-free.
Maintenant,

optirun glxgears

fonctionne, mais il n'y a pas d'amélioration au niveau des fps comme dit sur le tuto pour Nvidia Optimus : /


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#21 25-01-2016 22:05:49

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun


" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#22 25-01-2016 23:17:05

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

greenmerlin a écrit :


D'après ton lien, avec la version 340 du pilote nvidia, la technologie Optimus n'est pas gérée. Et comme par hasard, c'est celle qui s'installe...


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#23 25-01-2016 23:39:05

greenmerlin
Membre
Lieu : 127.0.0.1
Distrib. : Archlinux/TinycoreLinux(CorePure 64-6.4.1)/Jessie
Noyau : 4.2.2-1 / 4.4
(G)UI : wmaker
Inscription : 23-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

chanceux la version actuel est la 352.79
http://www.nvidia.fr/download/driverRes … x/97678/fr

" La plus importante et la plus négligée de toutes les conversations, c'est l'entretien avec soi-même. "
Chancelier Oxenstiern.

536920766f7573206172726976657220c3a0206c69726520c3a7612c20632765737420717565206e6f757320706172746167656f6e73206c6573206dc3aa6d65732063656e747265732064e28099696e74c3a972c3aa74732e

Hors ligne

#24 25-01-2016 23:50:34

tartecitron1
Membre
Distrib. : Debian Jessie
Noyau : Linux 3.16.0-4-amd64
(G)UI : XFCE4
Inscription : 25-01-2016

Re : [Résolu] Impossible de lancer un programme avec optirun

Quand j'ai dl le pilote tout à l'heure j'ai eu la version 352.63.
Je purge ce que j'ai installé et je reprends de zéro avec ce pilote.

[edit] Sur ce lien https://www.isalo.org/wiki.debian-fr/NV … _Bumblebee il est dit de ne pas essayer d'installer un pilote nvidia autrement qu'avec une autre méthode que celle montrée.

Dernière modification par tartecitron1 (25-01-2016 23:53:47)


Desktop: AMD A4-6300 3.7GhZ - 4Go RAM - SSD 128Go + HDD 1To - ArchLinux 64bits
Notebook: HP ENVY dv7 - Intel Core i7 3610QM - 12Go RAM - HDD 1tO - Debian Jessie 64bits

Hors ligne

#25 26-01-2016 03:17:30

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : [Résolu] Impossible de lancer un programme avec optirun

il a l'air trés bien ce tuto de isalo smile
bumblebee pas top avec linux , faut voir si avec le driver de stretch ou sid la prise en charge est meilleure (meme experimental au pire tongue )
si tu n 'a pas de souci pour nettoyer en cas d echec , ça vaut le coup de tenter.
j'ai jamais fait d install sur portable donc pas du tout d experience  neutral
ps: je parle avec jessie bien sur ( pas d un upgrade vers sid ou autres tongue  )

ps: il semble que la version la plus récente est dans les backports de jessie => https://tracker.debian.org/pkg/bumblebee
pas mieux dans stretch et sid , rien dans experimental

Dernière modification par robert2a (26-01-2016 06:38:18)

Hors ligne

Pied de page des forums